## savane-1.0.4.tar.gz

=== Makefile ===
SV_DIR=/home/moa/projects/savane
SV_CONF=/etc/savannah
SV_CONF_INTERACTIVE=yes
SV_BIN=/usr/local/bin
PERL_INC=/usr/local/lib/site_perl
INSTALLNLSDIR=/usr/share/locale
SV_URLROOT=/savannah
SV_DB=mysql
SV_DB_NAME=savannah
SV_DB_CMD=mysql
SV_DB_OPTIONS=
MM_CGI_DIR=
WWW_SERVER_USER=www-data
 
BASE_CONF_COMMAND=backend/install/sv_update_conf.pl --recreate --http-user=$(WWW_SERVER_USER) --conffile=$(SV_CONF)/savannah.conf --default-domain=`hostname -f` --topdir=`pwd` --url-topdir=$(SV_URLROOT) --incdir=\$$sys_topdir/etc/site-specific-content

all: update-path
	if [ ! -e www ]; then ln -s frontend/php www; fi
	cd po && make
	cd db && make

reset:
	make reset-path

cache:
	@echo "This feature no longer present"

docs:
	cd doc && make docs
	ln -sf ../../doc/admin/savannah.html frontend/php/savannah.html

icons:
	cd frontend/php/images && make icons

clean: reset-path
	cd lib && make clean
	cd backend && make clean
	cd po && make clean
	cd frontend/php/css && make clean
#	cd doc && make -i clean
	find . \( -name "Makefile" -or -name "#*#" -or -name ".#*" -or -name "*~" -or -name ".*~" \) -exec rm -rfv {} \;
	rm -fv *.cache

conf:
	if [ $(SV_CONF_INTERACTIVE) == "yes" ] ; then $(BASE_CONF_COMMAND) ; else $(BASE_CONF_COMMAND) --non-interactive ; fi
	make update-path

local.inc: conf

database: database-structure database-initvalues

database-structure:
	cd db && make create-db init-structure

database-initvalues:
	cd db && make init-values

update-path:
	cd lib && make update-path
	cd frontend/php/css && make update-path

reset-path:
	cd lib && make reset-path
	cd frontend/php/css && make reset-path

update-conf:
	backend/install/sv_update_conf.pl --update --conffile=$(SV_CONF)/savannah.conf
	make update-path

update:
	cvs update -d
	./configure
	make
	make update-conf
	make install -i
	sv_skill

install: all
	cd etc && make install
	cd backend && make install
	cd lib && make install
	cd po && make install


uninstall: 
	cd backend && make uninstall
	cd lib && make uninstall
	cd po && make uninstall

=== etc/Makefile ===
SV_DIR=/home/moa/projects/savane
SV_CONF=/etc/savannah
SV_CONF_INTERACTIVE=yes
SV_BIN=/usr/local/bin
PERL_INC=/usr/local/lib/site_perl
INSTALLNLSDIR=/usr/share/locale
SV_URLROOT=/savannah
SV_DB=mysql
SV_DB_NAME=savannah
SV_DB_CMD=mysql
SV_DB_OPTIONS=
MM_CGI_DIR=
WWW_SERVER_USER=www-data
 

all:
	@echo "Bah!"

install:
	if [ ! -e /etc/cron.d/savane ]; then install crontab /etc/cron.d/savane ; fi
	if [ ! -e /etc/logrotate.d/savane]; then install logrotate /etc/logrotate.d/savane ; fi

=== lib/Makefile ===
SV_DIR=/home/moa/projects/savane
SV_CONF=/etc/savannah
SV_CONF_INTERACTIVE=yes
SV_BIN=/usr/local/bin
PERL_INC=/usr/local/lib/site_perl
INSTALLNLSDIR=/usr/share/locale
SV_URLROOT=/savannah
SV_DB=mysql
SV_DB_NAME=savannah
SV_DB_CMD=mysql
SV_DB_OPTIONS=
MM_CGI_DIR=
WWW_SERVER_USER=www-data
 
#PERL_INC = /usr/local/lib/site_perl
SV_CONF_DEFAULT=/etc/savannah/local.inc
CONTAIN_SV_CONF = Savannah.pm

SUBMODULES = $(shell ls Savannah/*pm)

update-path:
	make reset-path
# Need to discuss if this path should be totally configurable or if
# $prefix/etc/savannah is acceptable where prefix = / || /usr || /usr/local
#	cat $(CONTAIN_SV_CONF) | sed s@^our.*conffile.*@our\ \$$conffile\ \=\ \"$(SV_CONF)/local.inc.pl\"\;@g > tmp
#	mv -f tmp $(CONTAIN_SV_CONF)


reset-path:
# Need to discuss if this path should be totally configurable or if
# $prefix/etc/savannah is acceptable where prefix = / || /usr || /usr/local
#	cat $(CONTAIN_SV_CONF) | sed s@^our.*conffile.*@our\ \$$conffile\ \=\ \"$(SV_CONF)/local.inc.pl\"\;@g > tmp
#	mv -f tmp $(CONTAIN_SV_CONF)

update-exports:
# How can we update our @EXPORT in a easy way? Do not know, so we do it
# this way, in the meantime.
# This command is supposed to be ran after addition of new subs.
	for module in $(SUBMODULES); do \
		cat $$module | grep ^sub | sed s/^sub\ //g  | sed s/\ \{.*//g | sed s/$$^//g | tr "\n" " " > tmpsub ; \
		cat $$module | sed s/^our\ \@EXPORT.*/our\ \@EXPORT\ \=\ qw\("`cat tmpsub`"\)\;/g > tmp ; \
		mv -f tmp $$module ; \
	done
	rm -f tmp*

install:
	if [ ! -e $(PERL_INC) ]; then mkdir -p $(PERL_INC) ; fi
	install Savannah.pm $(PERL_INC)
	cp -rf Savannah $(PERL_INC)

uninstall:
	rm -rf $(PERL_INC)/Savannah.pm $(PERL_INC)/Savannah

clean:
	rm -f Makefile
	if [ -x /usr/bin/darius-mrclean ]; then /usr/bin/darius-mrclean . ; fi

=== po/Makefile ===
SV_DIR=/home/moa/projects/savane
SV_CONF=/etc/savannah
SV_CONF_INTERACTIVE=yes
SV_BIN=/usr/local/bin
PERL_INC=/usr/local/lib/site_perl
INSTALLNLSDIR=/usr/share/locale
SV_URLROOT=/savannah
SV_DB=mysql
SV_DB_NAME=savannah
SV_DB_CMD=mysql
SV_DB_OPTIONS=
MM_CGI_DIR=
WWW_SERVER_USER=www-data
 
MSGMERGE = msgmerge
XGETTEXT = xgettext

NLSPACKAGE = savane
CATALOGS = $(shell ls *.po)
FMTCATALOGS = $(patsubst %.po,%.mo,$(CATALOGS))
POTFILES_PHP = $(shell find ../frontend/php -iname "*.php" -or -iname "*.class")

all: $(NLSPACKAGE).pot $(FMTCATALOGS)

x$(NLSPACKAGE).pot: $(POTFILES_PHP)

echo:
	echo $(POTFILES_PHP)

potfile: $(POTFILES_PHP)
# -C -k_ : needed for PHP. It means for now that using the same pot
# for both perl and PHP code is not possible.
	$(XGETTEXT) -L PHP -k_ -s  $(POTFILES_PHP) --output $(NLSPACKAGE).po
	if cmp -s $(NLSPACKAGE).po $(NLSPACKAGE).pot; then \
	    rm -f $(NLSPACKAGE).po; \
	else \
	    mv $(NLSPACKAGE).po $(NLSPACKAGE).pot; \
	fi

refresh-po: Makefile
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
		lang=`echo $$cat | sed 's/.po//'`; \
		if $(MSGMERGE) $$lang.po $(NLSPACKAGE).pot > $$lang.pot ; then \
			mv -f $$lang.pot $$lang.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi \
	done

update-po: $(NLSPACKAGE).pot Makefile refresh-po

report:
	@for cat in $(CATALOGS); do \
		echo -n "$$cat: "; \
		msgfmt -v --statistics -o /dev/null $$cat; \
	done


install: all
	if [ ! -e $(INSTALLNLSDIR) ]; then  mkdir -p $(INSTALLNLSDIR) ; fi
	for n in $(CATALOGS); do \
	    l=`basename $$n .po`; \
	    mo=$$l.mo; \
	    install -m 755 -d $(INSTALLNLSDIR)/$$l; \
	    install -m 755 -d $(INSTALLNLSDIR)/$$l/LC_MESSAGES; \
	    install -m 644 $$mo \
		$(INSTALLNLSDIR)/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	done


uninstall:
	for n in $(CATALOGS); do \
	    l=`basename $$n .po`; \
	    rm -f $(INSTALLNLSDIR)/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	done

%.mo: %.po
	msgfmt -o $@ $<

clean:
	rm -f Makefile *mo *.pyc
	if [ -x /usr/bin/darius-mrclean ]; then /usr/bin/darius-mrclean . ; fi

stats:
	../backend/devel/sv_po_stats.pl --path=`pwd`

=== frontend/php/css/Makefile ===
SV_DIR=/home/moa/projects/savane
SV_CONF=/etc/savannah
SV_CONF_INTERACTIVE=yes
SV_BIN=/usr/local/bin
PERL_INC=/usr/local/lib/site_perl
INSTALLNLSDIR=/usr/share/locale
SV_URLROOT=/savannah
SV_DB=mysql
SV_DB_NAME=savannah
SV_DB_CMD=mysql
SV_DB_OPTIONS=
MM_CGI_DIR=
WWW_SERVER_USER=www-data
 
CSS=`ls *.css.in`

all: update-path

update-path:
	make reset-path
	for css in $(CSS); do \
		if [ "$(SV_URLROOT)" != "/" ]; then \
			cat $$css | sed s@url\(\"\/@url\(\"$(SV_URLROOT)\/@g > `basename $$css .in` ; \
		else \
			cat $$css > `basename $$css .in` ; fi \
		; \
	done

reset-path:
	for css in $(CSS); do \
		cp -f $$css `basename $$css .in` ; \
	done

clean:
	rm -f *.css

=== debian/control ===
Source: savannah
Section: web
Priority: optional
Maintainer: Mathieu Roy <yeupou@gnu.org>
Build-Depends-Indep: gettext, debhelper (>=3.0.18)
Standards-Version: 3.5.9.0

Package: savannah
Architecture: all
Depends: savannah-bin, savannah-lib, savannah-frontend-php
Suggests: savannah-doc
Description: This meta package that will fetch every Savannah packages for
 a standard installation. 
 .
 Savannah is a place where GNU live. Based on the SourceForge 2.0
 software, it is dedicated to Free Software projects.
 .
 .
 Homepage: http://savannah.gnu.org/


Package: savannah-doc
Architecture: all
Suggests: savannah
Depends: texinfo, tetex-bin, tar, gzip, autoconf, automake1.4
Description: This is the Savannah documentation.
 .
 Savannah is a place where GNU live. Based on the SourceForge 2.0
 software, it is dedicated to Free Software projects.
 .
 Homepage: http://savannah.gnu.org/

Package: savannah-bin
Architecture: all
Depends: savannah-lib, coreutils (>=4.5.0) | fileutils (>=4.1), debconf (>=1.2.9)
Description: This package contains Savannah binaries (scripts), 
 normally used by administrators and cronjobs.
 .
 Savannah is a place where GNU live. Based on the SourceForge 2.0
 software, it is dedicated to Free Software projects.
 .
 Homepage: http://savannah.gnu.org/

Package: savannah-lib
Architecture: all
Depends: perl-base (>=5.6.0), perl-modules, liblocale-gettext-perl, libdbi-perl (>= 1.21), debconf (>=1.2.9)
Description: This package contains Savannah libraries.
 .
 Savannah is a place where GNU live. Based on the SourceForge 2.0
 software, it is dedicated to Free Software projects.
 .
 Homepage: http://savannah.gnu.org/

Package: savannah-frontend-php
Architecture: all
Depends: savannah-bin, php3 (>=3.0.18) | php4 (>=4.2), php3-pear | php4-pear, php3-mysql | php4-mysql, debconf (>= 1.2.9)
Description: This package contains the Savannah PHP frontend.
 .
 Savannah is a place where GNU live. Based on the SourceForge 2.0
 software, it is dedicated to Free Software projects.
 .
 Homepage: http://savannah.gnu.org/
